Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 155569 - Fix imports hint
Fix imports hint
Status: RESOLVED FIXED
Product: groovy
Classification: Unclassified
Component: Editor
6.x
All All
: P2 (vote)
: 7.2
Assigned To: Martin Janicek
issues@groovy
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 16:00 UTC by Lukas Jungmann
Modified: 2012-03-07 18:12 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Jungmann 2008-12-16 16:00:09 UTC
-have a a.A.groovy and b.B.groovy classes
-let B extends A

package b
class B extends A| {}

-invoke CC at '|'

=> cc offers a.A class but the whole line is underlined and error says "unable to resolve class A"; I'd expect I'll see
Fix imports hint
Comment 1 Martin Janicek 2012-03-03 15:08:13 UTC
Unfortunately this is still valid and it's quite user-unfriendly. Hopefully I can get it working for 7.2.
Comment 2 Martin Janicek 2012-03-05 14:54:26 UTC
Implemented in: web-main #2f98c47f0078
Comment 3 Quality Engineering 2012-03-07 18:12:51 UTC
Integrated into 'main-golden', will be available in build *201203071105* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/2f98c47f0078
User: Martin Janicek <mjanicek@netbeans.org>
Log: #155569 - Fix imports hint


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo